Skip to main content
Matching against a Person in our database allows the retrieval of data associated with said Person.

Person Object

The Person object represents a b2b contact, typically associated with a company. Here is a description of the Person object:

Phone Number Object

Phone number objects appear in phone_numbers arrays across the API (e.g. on Person, Contact, and Lead List objects). Each entry has the following fields:
  • wrong_number - true when the number was manually marked as wrong. You can mark a number as wrong via POST /phone_numbers/{id}/review with reason: "wrong_number".
  • do_not_call - true when Do Not Call screening is enabled for your account and the number is on a DNC list. This field is omitted (not false) when DNC screening is disabled in account Safety settings.

Company Object

Here is the description of the Company object:

People Endpoints

Finding a Person

Request The following endpoint can be used to find a Person on Amplemarket:
Response The response contains the Linkedin URL of the Person along with the other relevant data.

Revealing an email address

Response The response contains the Linkedin URL of the Person along with the other relevant data and the revealed email address (if successful).
Response (Request Timeout) It is possible for the request to time out when revealing an email address, in this case the response will look like this.
In this case you are free to retry the request after the specified time in the Retry-After header.

Revealing phone numbers

Response The response contains the Linkedin URL of the Person along with the other relevant data and the revealed phone numbers (if successful).
Response (Request Timeout) It is possible for the request to time out when revealing phone numbers, in this case the response will look like this.
In this case you are free to retry the request after the specified time in the Retry-After header.

Finding multiple people

Enrichment requests allow you to retrieve comprehensive data about multiple people simultaneously. This bulk operation is ideal for enriching large lists of leads with detailed information including their current company, title, location, and optionally their email addresses and phone numbers. The enrichment request flow will usually follow these steps:
  1. POST /people/enrichment-requests with a list of leads that will be enriched
  2. In the response, follow the URL provided in response._links.self.href
  3. Continue polling the endpoint while respecting the Retry-After HTTP Header
  4. When enrichment completes, the results are in response.results
  5. If the results are larger than the default limit, then follow the URL provided in response._links.next.href

Enrichment Request Object

Enrichment Request Result Object

Start Enrichment Request

Request A batch of leads can be sent to the enrichment request service, up to 10,000 leads according to usage limits.
Request Parameters Lead Object Properties Each lead object can contain one or more of the following identifiers: Response This will return a 202 Accepted indicating that the enrichment request will soon be started:
HTTP Headers
  • Location: GET points back to the enrichment request object that was created
Links
  • self - GET points back to the enrichment request object that was created

Enrichment Request Polling

Request The Enrichment Request object can be polled in order to receive results:
Response Will return a 200 OK while the operation hasn’t yet terminated.
HTTP Headers
  • Retry-After - indicates how long to wait until performing another GET request
Links
  • self - GET points back to the same object
  • next - GET points to the next page of entries, when available
  • prev - GET points to the previous page of entries, when available

Retrieving Enrichment Request Results

Request When the enrichment request has terminated, the results can be retrieved using the same url:
Response The response will display up to 100 results:
If the results contain more than 100 entries, then pagination is required to traverse them all and can be done using the links such as: response._links.next.href (e.g. GET /people/enrichment-requests/1?page[size]=100&page[after]=2). Links
  • self - GET points back to the same object
  • next - GET points to the next page of entries, when available
  • prev - GET points to the previous page of entries, when available

Cancelling a running Enrichment Request

Request You can cancel an enrichment request that’s still running by sending a PATCH request:
Only "status" is supported in this request, any other field will be ignored. Response The response will display any available results up until the point the enrichment request was canceled.
If the results contain more than 100 entries, then pagination is required to traverse them all and can be done using the links such as: response._links.next.href (e.g. GET /people/enrichment-requests/1?page[size]=100&page[after]=1). Links
  • self - GET points back to the same object
  • next - GET points to the next page of entries, when available
  • prev - GET points to the previous page of entries, when available

Searching for multiple People

The following endpoint can be used to search for multiple People on Amplemarket:
Response The response contains the Linkedin URL of the Person along with the other relevant data.